# ImageIOWriter (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.imageout
Class ImageIOWriter

    java.lang.Object
      org.newdawn.slick.imageout.ImageIOWriter

All Implemented Interfaces:
  ImageWriter

    public class ImageIOWriter

extends java.lang.Object
implements ImageWriter

A utility to write a Slick image out using ImageIO

Author:
  Jon

Constructor Summary
`ImageIOWriter()`

Method Summary
`void` `saveImage(Image image, java.lang.String format, java.io.OutputStream output, boolean hasAlpha)` Save an Image to an given location

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageIOWriter

    public ImageIOWriter()

Method Detail

### saveImage

    public void saveImage(Image image,
                          java.lang.String format,
                          java.io.OutputStream output,
                          boolean hasAlpha)
                   throws java.io.IOException

  Description copied from interface: `ImageWriter`
  Save an Image to an given location

  Specified by:
    `saveImage` in interface `ImageWriter`
  Parameters:
    `image` - The image to be written
    `format` - The format that this writer is expected to be produced in
    `output` - The output stream to which the image data should be written
    `hasAlpha` - True if we should write alpha information to the file
  Throws:
    `java.io.IOException` - Indicates a failure to write out the image to the specified location
  See Also:
    `ImageWriter.saveImage(org.newdawn.slick.Image, java.lang.String, java.io.OutputStream, boolean)`

Copyright © 2006 New Dawn Software. All Rights Reserved.